Subject: Re: [RFC] Git User's Survey 2009 - trial run

From: Jakub Narebski <[email-masked]>
Date: Fri, 26 Jun 2009 17:44:04 +0200

On Fri, 26 June 2009, Felipe Contreras wrote:
> 2009/6/25 Jakub Narebski <[email-masked]>:

> > I have created _proposed_ version of questions for upcoming
> > "Git User's Survey 2009", based on (a bit of) feedback on git
> > mailing list:
> >  "[RFH] Questions for Git User's Survey 2009"
> >  Msg-Id: <[email-masked]>
> >  http://thread.gmane.org/gmane.comp.version-control.git/120287
> > and comments on #git IRC channel on FreeNode.
> >
> > Current version of survey has 30 questions, as compared to
> > 60 questions last year; the number of free-form essay questions
> > were also greatly reduced.
> >
> >
> > The *test* version of this year survey can be now found at
> > the following URL (as in previous year, we use Survs.com)
> >
> >  http://www.survs.com/survey?id=2PIMZGU0&channel=TFN2Y52K7Y

I reworked those comments a bit, to make it easier to see
proposed changes.

> These are my comments:
> 
> -3. Did you find Git easy to learn?
> +3. Have you found Git easy to learn?
> 
> That assumes the user already learned to use git [...]

Thanks.  I think your version is better.

> 
> -8. How do you obtain Git?
> +8. How did you obtain Git? (maybe s/obtain/install/)
> 
> Most people install once, or at least not very often

Perhaps

  +8. How did/do you obtain Git?

It is IMHO more interesting how people upgrade Git, than just how
they installed it.

> 
> -14. How do you fetch/get changes from upstream repository?
> +14. How do you fetch/get changes from upstream repositories?
> 
> Only one repository?

Good catch.  Thanks.

> 
> git ... --dirstat
> 
> Isn't '--stat' more common?
> git ... --stat (or --dirstat)

Well, this is specifically about this rare used feature/option.
"git ... --stat" or "git ... --summary" is a byproduct of many
other commands, like "git pull" / "git merge", or "git format-patch".
But perhaps we should ask about it explicitly.

> 
> -18. Which of the following features do or did you use?
> +18. Which of the following features have you used?
> 
> More readable.

True.  Thanks.

> 
> -22. Did you participate in previous Git User's Surveys?
> +22. In which of the previous Git User's Surveys have you participated?
> 
> -24. Which form of Git documentation do you use?
> -    Do you consider them useful?
> +24. How useful have you found Git documentation?
> 
> -28. Do you read the mailing list, or watch IRC channel?
> +28. Which communication channels do you use?

Good ideas.

> 
> Also, I would like to see a list of areas users would like improvements:
> XX. In you opinion, which areas need improvement?
>  * user-interface
>  * documentation
>  * performance
>  * more features
>  * other
> 
> Is there a way for users to assign points? eg. user-interface: 2,
> documentation: 1, more features: 1

We can always use 'matrix' form, with columns corresponding to importance
of a given area for improvement (1-3, or 1-5 numeric range).  Because
asking user to order from most important to least important (one can
enforce this on Survs.com by requiring only one answer with given column
selected) would be too difficult and confusing.

> 
> I like it better than the previous one :)

Thanks!

-- 
Jakub Narebski
Poland